Subject: Re: [RFC] hv_netvsc: safer orderly shutdown

From: Stephen Hemminger <[email-masked]>
Date: Mon, 13 Nov 2017 09:22:53 -0800

On Mon, 13 Nov 2017 11:57:47 +0100
Vitaly Kuznetsov <[email-masked]> wrote:

> Stephen Hemminger <[email-masked]> writes:
> 
> >
> > The NAPI disable is already handled by rndis close.  
> 
> Sorry, but I'm probably missing something: I can only see
> netif_napi_del() call in netvsc_device_remove() but this happens much
> later. And I don see us doing napi_disable() anywhere on the path.
> But I'm probably missing something.
> 

You need to keep NAPI running to handle transmit completions.
Disabling the Tx and Rx filter should keep spurious activity
away until the halt is done.